<?php
////////////////////////////////////////////////////////////////
//¤
// File:      FAST 3.2 (First Automatic Server for Trackmania)
// Web:       
// Date:      24.03.2010
// Author:    Gilles Masson
// 
////////////////////////////////////////////////////////////////
//
// FAST3.2 plugin to handle script specific teams (FTeams), for special script modes
// 
//
registerPlugin('fteams',02,1.0);




// Fast teams infos, local teams for use by special script modes (nothing to do with the game Team mode)
//
// $_fteams_rules : working rules for teams
// $_fteams_rules['MaxPlayers'] : max players in team, -1 if not limited
// $_fteams_rules['MaxPlaying'] : max playing players in team, -1 if not limited
// $_fteams_rules['MaxPlayingRule'] : rule for handling MaxPlaying (others are put spec), default to roundcp
//           'strict' to refuse to add to play (ie not spec) if max is reached, 
//           'map' to reject players other than the first MaxPlaying players at beginning of first map round
//           'round' to reject players other than the first MaxPlaying players at beginning of round
//           'mapcp' to reject players other than the first MaxPlaying players of a team who drove the first cp of first map round
//           'roundcp' to reject players other than the first MaxPlaying players of a team who drove the first cp of each round
// $_fteams_rules['MaxPlayingKeep'] : true/false, does a player who keep or go spec free a playing slot so he can be replaced
//           after the beginning of map. Usefull only for strict, map and mapcp. If true then the not playing slots will be
//           freed at EndRace and BeginRace
// $_fteams_rules['LockMode'] : kind of lock
//           'players' to permit team players to lock the team access and accept new players
//           'script' to forbid players to change
//
// $_fteams : info about local teams
// $_fteams[tid]['Name'] : name of team (no special chars)
// $_fteams[tid]['Players'] : list of players logins in team
// $_fteams[tid]['PlayersPlaying'] : list of players logins in team who are playing (last in list is the last to come player)
// $_fteams[tid]['Active'] : true/false
// $_fteams[tid]['Lock'] : false or time of lock
// $_fteams[tid]['Score'] : cumulated team score on map/cup
// $_fteams[tid]['Time'] : cumulated team times on map/cup
// $_fteams[tid]['MatchScore'] : cumulated team score on match (used by match plugin)
// $_fteams[tid]['MatchTime'] : cumulated team times on match (used by match plugin)



function fteamsAddPlayer($team,$login){
}


function fteamsRemPlayer($team,$login){
}


function fteamsInit($event){
	global $_debug,$_players,$_fteams;
	if($_debug>6) console("players.Event[$event]");

	if(!isset($_fteams) || !is_array($_fteams))
		$_fteams = array();
}


function fteamsBeginRace($event,$GameInfos,$ChallengeInfo,$newcup,$warmup,$fwarmup){
	global $_debug;
	if($_debug>6) console("fteams.Event[$event]($newcup,$warmup,$fwarmup)");
}

function fteamsBeginRound($event){
	global $_debug;
	if($_debug>6) console("fteams.Event[$event]");
}

function fteamsPlayerDisconnect($event,$login){
	global $_debug;
	if($_debug>6) console("fteams.Event[$event]('$login')");
}

function fteamsPlayerCheckpoint($event,$login,$time,$lapnum,$checkpt){
	global $_debug;
	if($_debug>6) console("fteams.Event[$event]('$login',$time,$lapnum,$checkpt)");
}

function fteamsEndRound($event,$Ranking,$ChallengeInfo,$GameInfos,$SpecialRestarting){
	global $_debug;
	if($_debug>6) console("fteams.Event[$event]");
}

function fteamsEndRace($event,$Ranking,$ChallengeInfo,$GameInfos,$continuecup,$warmup,$fwarmup){
	global $_debug;
	if($_debug>6) console("fteams.Event[$event]($continuecup,$warmup,$fwarmup)");
}


?>
